al_load_font(3)

NAME

al_load_font - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro_font.h>
    ALLEGRO_FONT *al_load_font(char const *filename, int size, int flags)

DESCRIPTION

Loads a font from disk. This will use al_load_bitmap_font_flags(3) if you pass the name of a known bitmap format, or else al_load_ttf_font(3).

The flags parameter is passed through to either of those functions. Bitmap and TTF fonts are also affected by the current [bitmap flags]al_set_new_bitmap_flags(3) at the time the font is loaded.

SEE ALSO

al_destroy_font(3), al_init_font_addon(3), al_register_font_loader(3), al_load_bitmap_font_flags(3), al_load_ttf_font(3)